import { resolve } from "node:path";

import { createDefaultSettings } from "@devowl-wp/webpack-config";

export default createDefaultSettings(import.meta.filename, "package", {
    override([config], factoryValues) {
        (config.entry as Record<string, string>).noop = resolve(factoryValues.pwd, "lib/noop.tsx");
    },
});
